#
# spec file for package lite-xl-widgets
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define programname lite-xl
Name:           lite-xl-widgets
Version:        git20221227.a632bfd
Release:        bp155.1.4
Summary:        Widgets for %{programname}
License:        MIT
URL:            https://github.com/lite-xl/lite-xl-widgets
Source0:        %{name}-%{version}.tar.gz
Requires:       lite-xl
BuildArch:      noarch

%description
* A widgets plugin that can be used by plugin writers to more easily implement interactive UI elements.
* The plugin leverages lite-xl View system and provides ready to use components to reduce code duplication
for stuff that most of the time is the same and simplify the process of writing your own GUI controls.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_datadir}/%{programname}/widget
mkdir -p %{buildroot}%{_datadir}/%{programname}/widget/examples
mkdir -p %{buildroot}%{_datadir}/%{programname}/widget/fonts
mkdir -p %{buildroot}%{_datadir}/doc/%{name}
# ----
install -D -m644 *.lua %{buildroot}%{_datadir}/%{programname}/widget/
install -D -m644 *.json %{buildroot}%{_datadir}/%{programname}/widget/
install -D -m644 examples/*.lua %{buildroot}%{_datadir}/%{programname}/widget/examples/
install -D -m644 fonts/*.lua %{buildroot}%{_datadir}/%{programname}/widget/fonts
install -D -m644 LICENSE %{buildroot}%{_datadir}/doc/%{name}/LICENSE
install -D -m644 README.md %{buildroot}%{_datadir}/doc/%{name}/README.md

%files
%dir %{_datadir}/%{programname}
%dir %{_datadir}/%{programname}/widget
%dir %{_datadir}/doc/%{name}
%{_datadir}/%{programname}/widget/*
%{_datadir}/doc/%{name}/LICENSE
%{_datadir}/doc/%{name}/README.md

%changelog
* Sat Dec 31 2022 scott.bradnick@suse.com
- Update to version git20221227.a632bfd:
  * selectbox: enabled hide/show animation
  * foldingbook: always update containers width
  * checkbox: animate background color on click
  * foldingbook: use new animation system for un/collapse
  * added basic animation system and queue
  * properly re-update widget on show and other fixes
  * fonts: cache rebuild clear previous fonts
  * minor annotation changes
  * Added support for new force_scrollbar_status
* Thu Nov  3 2022 scott.bradnick@suse.com
- Update to version git20221023.648c067:
  * textbox: fix get_gutter_width returning nil, fixes lite-xl/lite-xl#1158
  * fontslist: allow new max of 10 fonts
  * use new on_scale_change logic from lite-xl master
  * fontslist: limit maximum fonts to 3
  * textbox: add double and triple click selection
  * Adaptation to newer scroll API
* Wed Oct  5 2022 Scott Bradnick <scott.bradnick@suse.com>
- Adjusting directory names from "widgets" to "widget"
* Wed Oct  5 2022 scott.bradnick@suse.com
- Update to version git20220917.6d8c23d:
  * filepicker: better relative path behaviour and luajit support
  * added initial manifest file for plugin manager
  * filepicker: added hovering border effect
  * filepicker: fixes and improvements
  * Added filepicker widget
  * updated list of components on readme
  * Try to make border handling more intuitive.
  * fonts: added functions to clean the cache
  * fontdialog: added smooth and strike options
  * textbox: always use default line height
* Wed Oct  5 2022 Scott Bradnick <scott.bradnick@suse.com>
- Initial version from upstream
